# RiskModelCostBenefit (ARX API Documentation)

org.deidentifier.arx.risk

## Class RiskModelCostBenefit

- java.lang.Object
- - org.deidentifier.arx.risk.RiskModelCostBenefit

- All Implemented Interfaces:
    java.io.Serializable

      public class RiskModelCostBenefit
      extends java.lang.Object
      implements java.io.Serializable

  This class implements a cost/benefit analysis following the game-theoretic approach proposed in:
  A Game Theoretic Framework for Analyzing Re-Identification Risk. Zhiyu Wan, Yevgeniy Vorobeychik, Weiyi Xia, Ellen Wright Clayton, Murat Kantarcioglu, Ranjit Ganta, Raymond Heatherly, Bradley A. Malin PLOS|ONE. 2015.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RiskModelCostBenefit(ARXCostBenefitConfiguration configuration)` Creates a new instance

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `double` | `getExpectedAdversaryPayout(double successProbability)` Returns the expected adversary payout
    `double` | `getExpectedPublisherBenefit(double informationLoss)` Returns the expected information loss
    `double` | `getExpectedPublisherPayout(double informationLoss, double adversarySuccessProbability)` Returns the expected publisher payout

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RiskModelCostBenefit

          public RiskModelCostBenefit(ARXCostBenefitConfiguration configuration)

      Creates a new instance
      Parameters:
        `configuration` -

  - ### Method Detail

    - #### getExpectedAdversaryPayout

          public double getExpectedAdversaryPayout(double successProbability)

      Returns the expected adversary payout
      Parameters:
        `successProbability` -
      Returns:

    - #### getExpectedPublisherBenefit

          public double getExpectedPublisherBenefit(double informationLoss)

      Returns the expected information loss
      Parameters:
        `informationLoss` -
      Returns:

    - #### getExpectedPublisherPayout

          public double getExpectedPublisherPayout(double informationLoss,
                                          double adversarySuccessProbability)

      Returns the expected publisher payout
      Parameters:
        `informationLoss` -
        `adversarySuccessProbability` -
      Returns: